A different take on LBRY
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

package.json 3.5KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106
  1. {
  2. "_moduleAliases": {
  3. "~component": "app/components",
  4. "~model": "app/models",
  5. "~view": "app/views"
  6. },
  7. "author": {
  8. "email": "paul@lbry.com",
  9. "name": "Paul Anthony Webb"
  10. },
  11. "dependencies": {
  12. "electron": "^5.0.3",
  13. "find-process": "^1.4.1",
  14. "got": "^9.6.0",
  15. "lbry-redux": "lbryio/lbry-redux",
  16. "mithril": "^1.1.6",
  17. "node-fetch": "^2.6.0",
  18. "url": "^0.11.0"
  19. },
  20. "description": "",
  21. "devDependencies": {
  22. "@babel/cli": "^7.4.4",
  23. "@babel/core": "^7.4.5",
  24. "@babel/plugin-external-helpers": "^7.2.0",
  25. "@babel/plugin-transform-destructuring": "^7.4.4",
  26. "@babel/plugin-transform-object-assign": "^7.2.0",
  27. "@babel/plugin-transform-react-jsx": "^7.3.0",
  28. "@babel/plugin-transform-runtime": "^7.4.4",
  29. "@babel/preset-env": "^7.4.5",
  30. "@babel/register": "^7.4.4",
  31. "@inc/eslint-config": "^1.1.3",
  32. "@inc/sasslint-config": "^2019.5.7",
  33. "@lbry/color": "^1.1.1",
  34. "babel-preset-electron": "^1.4.15",
  35. "cwd": "^0.10.0",
  36. "decompress": "^4.2.0",
  37. "del": "^4.1.1",
  38. "electron-reload": "^1.4.0",
  39. "eslint": "^5.16.0",
  40. "eslint-plugin-react": "^7.13.0",
  41. "husky": "^2.4.0",
  42. "link-module-alias": "^1.2.0",
  43. "npm-run-all": "^4.1.5",
  44. "rimraf": "^2.6.3",
  45. "rollup": "^1.14.6",
  46. "rollup-plugin-babel": "^4.3.2",
  47. "rollup-plugin-commonjs": "^10.0.0",
  48. "rollup-plugin-eslint": "^6.0.0",
  49. "rollup-plugin-livereload": "^1.0.0",
  50. "rollup-plugin-node-resolve": "^5.0.1",
  51. "rollup-plugin-pathmodify": "^1.0.1",
  52. "rollup-plugin-replace": "^2.2.0",
  53. "rollup-plugin-serve": "^1.0.1",
  54. "rollup-plugin-uglify": "^6.0.2",
  55. "rollup-watch": "^4.3.1",
  56. "sass": "^1.21.0",
  57. "sass-lint": "^1.13.1",
  58. "snazzy": "^8.0.0",
  59. "standardx": "^3.0.1",
  60. "updates": "^8.1.0"
  61. },
  62. "engines": {
  63. "node": ">=11.0.0"
  64. },
  65. "files": [
  66. "dist",
  67. "README.md"
  68. ],
  69. "keywords": [],
  70. "lbrySettings": {
  71. "lbrynetSDKVersion": "0.32.1",
  72. "lbrynetSDKUrlTemplate": "https://github.com/lbryio/lbry/releases/download/vSDKVER/lbrynet-OSNAME.zip",
  73. "lbrynetSDKDir": "dist/sdk",
  74. "lbrynetSDKFileName": "lbrynet"
  75. },
  76. "license": "ISC",
  77. "main": "dist/scripts/bundle",
  78. "module": "dist/scripts/bundle.mjs",
  79. "name": "lbry-paper",
  80. "scripts": {
  81. "build": "npm run clean; npm run init; npm run rollup",
  82. "clean": "rimraf dist/scripts/*; rimraf dist/css/*",
  83. "css": "sass --load-path=node_modules --update sass:dist/css --style compressed",
  84. "format": "eslint '**/*.js' --fix --ignore-pattern '/dist*/'",
  85. "init": "npm run css",
  86. "postinstall": "link-module-alias",
  87. "preinstall": "command -v link-module-alias; link-module-alias clean || true",
  88. "rollup": "rollup --config ./scripts/rollup.umd.js --environment DEPS:1; rollup --config ./scripts/rollup.es.js --environment DEPS:1",
  89. "--start": "npm run build; NODE_ENV=production npx here dist index.html 7854",
  90. "start": "electron ./app/electron",
  91. "test": "run-s test:*",
  92. "test:dependencies": "updates --update ./",
  93. "test:lint": "standardx --verbose | snazzy",
  94. "test:sass": "sass-lint --config ./node_modules/@inc/sasslint-config/config.json --verbose",
  95. "watch": "npm run init; NODE_ENV=development run-p watch:*",
  96. "watch:app": "rollup --config ./scripts/rollup.watch.js --environment DEPS:1,PORT:7854,WATCH_DIR:./dist/ --watch",
  97. "watch:dev": "electron ./app/electron.js",
  98. "watch:sass": "sass --load-path=node_modules --watch sass:dist/css --style compressed"
  99. },
  100. "standardx": {
  101. "ignore": [
  102. "dist*"
  103. ]
  104. },
  105. "version": "2019.06.10"
  106. }